:root {
  --font-height-1: 2rem;
  --font-size-1: 32px;
  --font-size-2: 28px;
  --font-size-3: 22px;
  --font-size-4:14px;
 --bg-color: #d4cb9f;
  --text-color: #576632;
  --text-color-dark: #6c8a18;
  --link-color:  #364219;
  --dot-color-1:#1a243d;
  --dot-color-2:#a24622;
  --dot-color-3:#fdeac5;
  --dot-color-4:#cf8a39;
  --dot-color-5:#041d38;
}

body[data-scheme="original"] {
  --text-color: rgb(162, 229, 160);
  --bg-color: #231f1f;
}

body[data-scheme="navy"] {
  --text-color: #CBE290;
  --text-color-dark:rgb(170, 176, 170) ;
  --bg-color: #000826;
}

body[data-scheme="pastel"] {
  --bg-color: #7ca8eb;
  --text-color-dark:rgb(129, 138, 109);
  --text-color: #402924;
  --link-color: rgb(74, 224, 121);
}

body[data-scheme="nice"] {
  --bg-color: #d4cb9f;
  --text-color: #576632;
  --text-color-dark: #485525;
  --link-color:  #364219;
}


body {
  margin: 0;
  background-color: var(--bg-color);
  color: var(--text-color);
  transition: all ease-in-out 0.3s;
}
a {
  color: var(--link-color);;
  text-decoration: none;
  line-height: 1em;
  display: inline-block;
}

h1 {
  font-size: var(--font-size-2);
  line-height: var(--font-height-2);
}

@media (min-width: 1260px) {
  h1 {
    font-size: var(--font-size-1);
    line-height: var(--font-height-1);
  }
}

h2 {
  font-size: var(--font-size-2);
  line-height: var(--font-height-2);
}

page-container {
  max-width: 100%;
  margin: 0 auto;
  display: grid;
  grid-template-rows: auto 1fr auto;
  min-height: 100vh;
  padding: 0 24px;
}

@media (min-width: 1260px) {
  page-container {
    width: 1200px;
  }
}

page-header {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  ul {
    list-style-type: none;
    padding: 0;
  }
  @media (min-width: 375px) {
    flex-wrap: nowrap;
    ul {
      padding-left: 12px;
      text-align: right;
    }
  }
  h1 {
    margin-bottom: 0;
  }
  h1 button {
    margin: 0;
    border: 0;
    display: inline-block;
    top: 16px;
    position: relative;
    width: 12px;
    height: 12px;
    border-radius: 4px;
    box-shadow: 0 0 3px white;
    cursor: pointer;
    opacity:0.1;
    transition:all ease-in-out 0.3s;
  }
  &:hover {
    button {

    opacity:1;
    }
  }
  div {
    display: flex;
    gap: 12px;
  }
  h1 button[data-scheme="original"] {
    background-color: rgb(162, 229, 160);
  }
  h1 button[data-scheme="navy"] {
    background-color: rgb(35, 18, 92);
  }
  h1 button[data-scheme="pastel"] {
    background-color: rgb(18, 92, 92);
  }
  h1 button[data-scheme="nice"] {
    background-color: rgb(92, 34, 18);
  }

  a {
    border-bottom: 1px solid var(--text-color-dark);
    border-bottom-style: dashed;
    color: var(--text-color);
  }
}
[data-email] {
  display:inline-flex;
  gap:7px;
  align-items: center;
  &:hover {
     span {
      border:1px solid var(--text-color-dark);
      background-color: var(--link-color);
    }
  }
}
[data-email] span {
  display:block;
  position: relative;
  width:7px;
  height:7px;
  border:1px solid var(--link-color);
  border-radius:2px;
  transition: all ease-in-out 0.2s;
  pointer-events: none;
  span {
    display:block;
    position:absolute;
    top:3px;
    left:3px;
  }
}

[data-email][data-clicked]{
  display:inline-flex;
}
[data-email][data-clicked]::after{
  content:'Copied hello@sthompson.co';
  padding-left: 12px;
  font-size: var(--font-size-4);
  top:2px;
  position:relative;
  display:inline;
}
[data-email][data-clicked] span {
  width:0px;
  height:7px;
  transform:rotate(-28deg);
  left:0;
  top:3px;
  span {
    height:16px;
    transform:rotate(62deg);
    top:-5px;
    left:6px;
  }
}

page-body {
  display: flex;
  flex-direction: column;
  justify-content: center;
  p {
    font-size: var(--font-size-3);
    padding-bottom: 100px;
  }

  @media (min-width: 1260px) {
    p {
      font-size: var(--font-size-2);
    }
  }
}
page-footer {
  padding-bottom: 40px;
}
[data-dots] {
  color: var(--text-color-dark);
  position: relative;
}

zoom-dot {
  left: 0;
  right: 0;
  margin: 0 auto;
  position: absolute;
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background-color: var(--zoom-dot, var(--text-color));
}

footer-section {
  display: inline;
  align-items: center;
  --footer-font: 12px;
  h2,
  p {
    font-size: var(--footer-font);
    line-height: var(--footer-font);
    margin: 0;
    padding: 0;
    display: inline;
    transition: all ease-in-out 0.3s;
  }
  &[data-dimmed="true"] {
    opacity: 0.2;
  }
  &[data-dimmed="false"] {
    opacity: 1;
    --footer-font: 18px;
  }
}
